﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Expand.Collections.Generic
{
    public class SingleLinkedListNode<T>
    {
        public SingleLinkedListNode(T value)
        {
            Value = value;
        }

        //
        // Riepilogo:
        //     Ottiene il nodo successivo dell'insieme
        //
        // Valori restituiti:
        //     Riferimento al nodo successivo nell'oggetto Expand.Collections.Generic.SingleLinkedListNode<T>,
        //     or null se il nodo corrente è l'ultimo elemento (Expand.Collections.Generic.SingleLinkedListNode<T>.Last)
        //     dell'oggetto Expand.Collections.Generic.SingleLinkedListNode<T>.
        public SingleLinkedListNode<T> Next { get; internal set; }

        //
        // Riepilogo:
        //     Ottiene il valore contenuto nel nodo.
        //
        // Valori restituiti:
        //     Valore contenuto nel nodo.
        public T Value { get; set; }
    }
}
