﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Expand
{
    public class LastValueEventArgs<T> : EventArgs
    {
        public LastValueEventArgs(T lastValue)
        {
            LastValue = lastValue;
        }

        public T LastValue { get; private set; }
    }

    public interface IInput
    {
        object IOValue { set; }
        event EventHandler<LastValueEventArgs<object>> IOValueChanged;
    }
}
