﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Expand.Patterns.Command
{
    public interface ICommand : IExecutable, IUnExecutable
    {
        /// <summary>
        /// Receiver for this command
        /// </summary>
        object Receiver { get; }
    }
}
